
package com.tmerclub.cloud.order.constant;

/**
 * 供应商处理状态， -1.商家自行处理 0.待供应商处理 1.供应商已同意 2.供应商已拒绝
 *
 * @author lhd
 */
public enum SupplierHandleStatus {
    /**
     * 商家自行处理
     */
    NORMAL(-1),
    /**
     * 移交供应商待处理
     */
    TRANSFER_SUPPLIER(0),
    /**
     * 供应商已同意
     */
    SUPPLIER_AGREE(1),
    /**
     * 供应商已拒绝
     */
    SUPPLIER_DISAGREE(2);

    private final Integer num;

    SupplierHandleStatus(Integer num) {
        this.num = num;
    }

    public Integer value() {
        return num;
    }

    public static SupplierHandleStatus instance(Integer value) {
        SupplierHandleStatus[] enums = values();
        for (SupplierHandleStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
